ComponentData Class

class NXOpen.Annotations.ComponentData

Bases: NXOpen.TransientObject

A ComponentData object can be used to query the components of an annotation.

These components include line components, arrow components, arc components, and text components. These components can then be queried for type specific information about the object. .. versionadded:: NX6.0.2

Methods

Method Description
Dispose Frees the object from memory.
GetArcComponents Queries the arc components, (NXOpen.Annotations.ArcComponent), in an annotation.
GetArrowComponents Queries the arrow components, (NXOpen.Annotations.ArrowComponent), in an annotation.
GetEntities Returns the entities that display the annotation.
GetEntitiesAutodelete Returns the entities that display the annotation.
GetLineComponents Queries the line components, (NXOpen.Annotations.LineComponent), in an annotation.
GetTextComponents Queries the text components, (NXOpen.Annotations.ArcComponent), in an annotation.

Method Detail

Dispose

ComponentData.Dispose

Frees the object from memory.

After this method is called, it is illegal to use the object. In .NET, this method is automatically called when the object is deleted by the garbage collector.

Signature Dispose()

New in version NX6.0.2.

License requirements: None.

GetArcComponents

ComponentData.GetArcComponents

Queries the arc components, (NXOpen.Annotations.ArcComponent), in an annotation.

Each arc component can be queried for arc specific information.

Signature GetArcComponents()

Returns:All of the arc components that exist in the annotation
Return type:list of NXOpen.Annotations.ArcComponent

New in version NX6.0.2.

License requirements: None.

GetArrowComponents

ComponentData.GetArrowComponents

Queries the arrow components, (NXOpen.Annotations.ArrowComponent), in an annotation.

Each arrow component can be queried for arrow specific information.

Signature GetArrowComponents()

Returns:All of the arrow components that exist in the annotation
Return type:list of NXOpen.Annotations.ArrowComponent

New in version NX6.0.2.

License requirements: None.

GetEntities

ComponentData.GetEntities

Returns the entities that display the annotation.

Each entity can be queried to get the line, arc and text information. Note that entities could be line, arc, spline and annotation objects.

Signature GetEntities()

Returns:List of entities that display the annotation.

It is the caller’s responsibility to delete these objects. :rtype: list of NXOpen.DisplayableObject

New in version NX6.0.2.

License requirements: None.

GetEntitiesAutodelete

ComponentData.GetEntitiesAutodelete

Returns the entities that display the annotation.

These entites will be deleted when this object is deleted. Each entity can be queried to get the line, arc and text information. Note that entities could be line, arc, spline and annotation objects.

Signature GetEntitiesAutodelete()

Returns:List of entities that display the annotation.

These entities will be deleted when the ComponentData object is deleted. :rtype: list of NXOpen.DisplayableObject

New in version NX11.0.0.

License requirements: None.

GetLineComponents

ComponentData.GetLineComponents

Queries the line components, (NXOpen.Annotations.LineComponent), in an annotation.

Each line component can be queried for line specific information.

Signature GetLineComponents()

Returns:All of the lines components that exist in the annotation
Return type:list of NXOpen.Annotations.LineComponent

New in version NX6.0.2.

License requirements: None.

GetTextComponents

ComponentData.GetTextComponents

Queries the text components, (NXOpen.Annotations.ArcComponent), in an annotation.

Each text component can be queried for text specific information.

Signature GetTextComponents()

Returns:All of the text components that exist in the annotation
Return type:list of NXOpen.Annotations.TextComponent

New in version NX6.0.2.

License requirements: None.